<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$valores = $_POST['valor'];
$bancos = $_POST['banco'];

for ($i = 0; $i < count($bancos); $i++) 
{
    $banco = mysqli_real_escape_string($con, $bancos[$i]);
    
    if ($banco=='Efectivo') {
        $pago='efectivo';
    } else {
        $pago='transferencia';
    }
    
    $suma_total = floatval($valores[$i]);

    // Buscar si ya existe un movimiento con ese banco
    $datos = mysqli_query($con, "SELECT * FROM movimientos WHERE mov_apertura='$apertura' AND mov_tipo_movimiento='Base de Apertura' AND estado='entrada' AND medio_pago='$banco' AND sucursal='$sucursal' AND empresa='$empresa' AND mov_usuario='$usu_id' AND mov_caja='$cajas_caja_id' LIMIT 1 ");

    if (mysqli_num_rows($datos) > 0) 
    {
        // Ya existe: hacer UPDATE sumando
        $fila = mysqli_fetch_array($datos);
        $mov_id = $fila['mov_id'];

        $sql = mysqli_query($con, "UPDATE movimientos SET mov_total = mov_total+$suma_total WHERE mov_id='$mov_id'
        ") or die("Error al actualizar: " . mysqli_error($con));

    } else 
    {
        $can1=mysqli_query($con,"SELECT MAX(mov_numero) as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
        $dato1=mysqli_fetch_array($can1);
        $mov_numero=$dato1['mov_numero']+1;
        $fecha=date('Y-m-d H:i:s');

        // No existe: hacer INSERT
        $insert = mysqli_query($con, "INSERT INTO movimientos ( mov_apertura, mov_numero, mov_fecha,mov_tipo_movimiento, mov_detalle, estado, forma_pago, medio_pago, sucursal, empresa, mov_usuario, mov_caja, mov_total )
        VALUES ('$apertura','$mov_numero','$fecha','Base de Apertura','Apertura de Caja','entrada','$pago','$banco','$sucursal','$empresa','$usu_id','$cajas_caja_id',$suma_total
            )
        ") or die("Error al insertar: " . mysqli_error($con));
    }
}


echo '<div class="alert alert-success alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<strong>Apertura de caja!</strong> Modificado correctamente.
</div>';
?>